/*
 * StreamStatusChangedListener.java
 *
 * Created on April 2, 2005, 12:15 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.jabberstudio.jso.event;

/**
 *
 * @author root
 */
public interface StreamStatusSetListener extends StreamStatusListener {
    //Methods
    /**
     * <p>
     * Invoked when a <code>Stream.Status</code> gets set.</p>
     * This will get invoked even if the old and new status are the same.
     * Else , the super interface's statusChanged() gets invoked.
     *
     * <p>
     * The value of <Code>evt</code> is never <code>null</code>.</p>
     *
     * @param evt The <code>StreamStatusEvent</code> describing the
     * state which was re-asserted.
     */
    public void statusSet(StreamStatusEvent evt);
}
