/*
 * UnknownStreamContext.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso;


import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;

/**
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   0.12
 */
public class UnknownStreamContext extends BasicStreamContext {
    public UnknownStreamContext() {
    }
    public UnknownStreamContext(NSI name) {
        super(name);
    }
    public UnknownStreamContext(NSI name, String prefix) {
        super(name, prefix);
    }
    protected UnknownStreamContext(UnknownStreamContext base) {
        super(base);
    }

    //Methods
    public StreamObject copy(StreamElement p) {
        return new UnknownStreamContext(this);
    }
    protected void checkReset(StreamElement check) {
    }
}